ENTRY(_start)
OUTPUT_FORMAT(elf64-x86-64)

SECTIONS {

    . = 1M;

    .text : ALIGN(4)
    {
        *boot.o(.multiboot)
        *boot.o(.text)
        *(.text)
    }
    .rodata : ALIGN(4)
    {
        *(.rodata)
    }
    .data : ALIGN(4)
    {
        *(.data)
    }
    .bss : ALIGN(4)
    {
        _bss_start = .;
        *(.bss);
        _bss_end = .;
        *(COMMON);
    }

}